/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var GeographicHighDensityScatterSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(GeographicHighDensityScatterSeriesDescription, _super);
    function GeographicHighDensityScatterSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.en = null;
        _this.eo = null;
        _this.ea = false;
        _this.d9 = false;
        _this.ee = 0;
        _this.ed = 0;
        _this.em = null;
        _this.el = null;
        _this.eh = 0;
        _this.ei = 0;
        _this.ep = null;
        return _this;
    }
    GeographicHighDensityScatterSeriesDescription.prototype.get_type = function () {
        return "GeographicHighDensityScatterSeries";
    };
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "latitudeMemberPath", {
        get: function () {
            return this.en;
        },
        set: function (a) {
            this.en = a;
            this.g("LatitudeMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "longitudeMemberPath", {
        get: function () {
            return this.eo;
        },
        set: function (a) {
            this.eo = a;
            this.g("LongitudeMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "useBruteForce", {
        get: function () {
            return this.ea;
        },
        set: function (a) {
            this.ea = a;
            this.g("UseBruteForce");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "progressiveLoad", {
        get: function () {
            return this.d9;
        },
        set: function (a) {
            this.d9 = a;
            this.g("ProgressiveLoad");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "heatMinimum", {
        get: function () {
            return this.ee;
        },
        set: function (a) {
            this.ee = a;
            this.g("HeatMinimum");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "heatMaximum", {
        get: function () {
            return this.ed;
        },
        set: function (a) {
            this.ed = a;
            this.g("HeatMaximum");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "heatMinimumColor", {
        get: function () {
            return this.em;
        },
        set: function (a) {
            this.em = a;
            this.g("HeatMinimumColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "heatMaximumColor", {
        get: function () {
            return this.el;
        },
        set: function (a) {
            this.el = a;
            this.g("HeatMaximumColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "pointExtent", {
        get: function () {
            return this.eh;
        },
        set: function (a) {
            this.eh = a;
            this.g("PointExtent");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "progressiveStatus", {
        get: function () {
            return this.ei;
        },
        set: function (a) {
            this.ei = a;
            this.g("ProgressiveStatus");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(GeographicHighDensityScatterSeriesDescription.prototype, "progressiveLoadStatusChangedRef", {
        get: function () {
            return this.ep;
        },
        set: function (a) {
            this.ep = a;
            this.g("ProgressiveLoadStatusChangedRef");
        },
        enumerable: false,
        configurable: true
    });
    GeographicHighDensityScatterSeriesDescription.$t = markType(GeographicHighDensityScatterSeriesDescription, 'GeographicHighDensityScatterSeriesDescription', GeographicMapSeriesHostDescription.$);
    return GeographicHighDensityScatterSeriesDescription;
}(GeographicMapSeriesHostDescription));
export { GeographicHighDensityScatterSeriesDescription };
